add api call to reports page to get the index section
Status: Closed   

Priority: Normal   

Assignee: Corey Osman   

Category: API   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Need api call to get back a list of reports via json so that it returns the same thing http://foreman/reports currently does.

Will need report summary, timestamp, hosts, report id, report status.

Associated revisions

Revision 778b5a0a - 05/22/2011 03:14 AM - Ohad Levy

Fixes wrong summary status sting the the report API response refs #882

History

#1 - 05/07/2011 03:37 PM - Ohad Levy

- Assignee set to Corey Osman

#2 - 05/09/2011 09:12 PM - Corey Osman

- Target version set to 0.3

#3 - 05/15/2011 11:40 PM - Corey Osman

This does not work correctly.  The code below (in the patch) only returns success and never returns a summary status with failed or modified.

You can reproduce this by using the following url

1.  http://puppet/reports?search=failed%3E0&format=json

2.  Use the browser search to find the summary.  The summary result should be "failed" instead of "success"

def summarystatus

    case self

    when error?

      "Failed" 

    when changes?

      "Modified" 

    else

      "Success" 

    end

  end

 The following code ensures the correct status will be returned.

 def summarystatus

    if self.error?

       return "Failed" 

    elsif self.changes?

       return "Modified" 

    else

       return "Success" 

    end

  end
#4 - 05/22/2011 04:03 AM - Ohad Levy

- Category set to API

- Status changed from New to Closed
